<?

define('RN', "\r\n");
define('FORM_BG', 0xf0f0f0);
define('HIDDEN_TEXT_COLOR', 0xc9c8c8); //цвет надписей выключенного объекта. Панелей и groupBox


// для си-функция работы с файлами
define('GENERIC_READ', 0x80000000);
define('FILE_SHARED_READ', 0x00000001);
define('OPEN_EXISTING', 3);
define('FILE_ATTRIBUTE_NORMAL', 0x00000080);
define('FILE_FLAG_NO_BUFFERING', 0x20000000);
define('FILE_FLAG_RANDOM_ACCESS',  0x10000000);
define('FILE_ATTRIBUTE_NOT_CONTENT_INDEXED', 0x2000);
define('FILE_ATTRIBUTE_HIDDEN', 0x2);
define('FILE_ATTRIBUTE_SYSTEM', 0x4);

define('FILE_BEGIN',  0);
define('FILE_CURRENT',  1);
define('FILE_END',  2);
define('INVALID_SET_FILE_POINTER', 0xffffffff); //для SetFilePointer

$GLOBALS['error_type'] = -1;



define("ERROR_NO_WMI",
"Программа будет работать только в демо режиме.
Причина: не работает служба WMI Performance Adapter. 
Решения:
 - запускайте программу под другой сборкой загрузочной флешки. Гарантированно будет работать эта: diskfast.ru/flash
 - попробуйте включить службу WMI Performance Adapter. Панель управления->локальные службы.");

?>